Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#53938 - [openconnect] Invalid resolv.conf with multiple domains

Attached to Project: Arch Linux
Opened by Gregory Gleason (gsgleason) - Friday, 05 May 2017, 15:57 GMT
Last edited by Levente Polyak (anthraxx) - Tuesday, 12 February 2019, 16:11 GMT
Task Type Bug Report
Category Upstream Bugs
Status Closed
Assigned To Levente Polyak (anthraxx)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:

When using openconnect to connect to a juniper vpn which specifies multiple domains, an invalid resolv.conf is created.
There is a discussion here: http://lists.infradead.org/pipermail/openconnect-devel/2016-August/003819.html


Additional info:
* package version(s) http://lists.infradead.org/pipermail/openconnect-devel/2016-August/003819.html
* config and/or log files etc.


Steps to reproduce:
My work has a vpn with multiple domains. The script vpnc-script doesn't account for that. There is a mailing list discussion which includes a patch, but I can't tell if it's actually been included upstream or not. I can't seem to access the upstream site.
This task depends upon

Closed by  Levente Polyak (anthraxx)
Tuesday, 12 February 2019, 16:11 GMT
Reason for closing:  Fixed
Additional comments about closing:  vpnc 1:0.5.3.r452.r67-1
Comment by Levente Polyak (anthraxx) - Tuesday, 12 February 2019, 01:21 GMT
please try again with vpnc 1:0.5.3.r452.r67-1
Comment by Gregory Gleason (gsgleason) - Tuesday, 12 February 2019, 01:37 GMT
Thanks.

My mirror isn't updated yet, but I had recently worked around it by replacing /etc/vpnc/vpnc-script with http://git.infradead.org/users/dwmw2/vpnc-scripts.git/blob_plain/07c3518dd6b8dc424e9c3650a62bed994a4dcbe1:/vpnc-script

It looks like that's what this uses now, so it should be good.

Thanks for the help.
Comment by Gregory Gleason (gsgleason) - Tuesday, 12 February 2019, 15:22 GMT
Tested today. Works great. Thanks. Glad to see the sytemd-resolved support.

Loading...